GPSFETCHMAP(1)

NAME
gpsfetchmap Version 1.04

DESCRIPTION
gpsfetchmap is a program to download maps from a mapserver for use with gpsdrive.

SYNOPSIS
Common usages:

gpsfetchmap -w <WAYPOINT NAME> -sc <SCALE> -a <#> -p

gpsfetchmap -la <latitude MM.DDDD> -lo <latitude MM.DDDD> -sc <SCALE> -a <#> -p

gpsfetchmap -sla <start latitude MM.DDDD> -endla <end latitude MM.DDDD> -slo <start longitude MM.DDDD> -endlo <end longitude MM.DDDD> -sc <SCALE> -a <#> -p

gpsfetchmap -sc <SCALE> -a <#> -r <WAYPOINT 1> <WAYPOINT 2> ... <WAYPOINT n> -p

All options:

gpsfetchmap [-w <WAYPOINT NAME>]
            [-la <latitude DD.MMMM>] [-lo <longitude DD.MMMM>]
            [-sla <start latitude DD.MMMM>] [-endla <end latitude DD.MMMM>]
            [-slo <start longitude DD.MMMM>] [-endlo <end longitude DD.MMMM>]
            [-sc <SCALE>] [-a <#>] [-p] [-m <MAPSERVER>]
            [-u <UNIT>] [-md <DIR>] [-W <FILE>] [-t <FILE>] [-r]
            [-C <FILE>] [-P <PREFIX>] [-F] [-d] [-v] [-h] [-M] [-n] [-U] [-c]

OPTIONS

-w, --waypoint <WAYPOINT NAME>
    Takes a waypoint name and uses the latitude and longitude for that waypoint as the centerpoint of the area to be covered. Waypoints are read from 'way.txt', or file defined by '-W'. the special name gpsd asks your local gpsd where your gps thinks you are and uses this point as center. This, '-la' and '-lo', '-sla', '-ela', '-slo' and '-elo' or '-a' is required. A special name is gpsd this waypoint asks your gps where you currently are.

-la,  --lat <latitude DD.MMMM>
    Takes a latitude in format DD.MMMM and uses that as the latitude for the centerpoint of the area to be covered. Will be overriden by the latitude of waypoint if '-w' is used. This and '-lo', '-w' or '-sla', '-ela', '-slo', '-elo' is required.

-lo, --lon <longitude DD.MMMM>
    Takes a longitude in format DD.MMMM and uses that as the longitude for the centerpoint of the area to be covered. Will be overriden by the longitude of waypoint if '-w' is used. This and '-la', '-w' or '-sla', '-ela', '-slo', '-elo' is required.

-sla --start-lat <start latitude DD.MMMM>
    Takes a latitude in format DD.MMMM and uses that as the start latitude for the area to be covered. Will override '-la' and '-lo' but will be overriden by '-w'. This, '-ela', '-slo' and '-elo' or '-w' or '-la' and '-lo' is required.

-ela --end-lat <end latitude DD.MMMM>
    Takes a latitude in format DD.MMMM and uses that as the end latitude for the area to be covered. Will override '-la' and '-lo' but will be overriden by '-w'. This, '-sla', '-slo' and '-elo' or '-w' or '-la' and '-lo' is required.

-slo --start-lon <start longitude DD.MMMM>
    Takes a longitude in format DD.MMMM and uses that as the start longitude for the area to be covered. Will override '-la' and '-lo' but will be overriden by '-w'. This, '-sla', '-ela' and '-elo' or '-w' or '-la' and '-lo' is required.

-elo --end-lon <end longitude DD.MMMM>
    Takes a longitude in format DD.MMMM and uses that as the end longitude for the area to be covered. Will override '-la' and '-lo' but will be overriden by '-w'. This, '-sla', '-ela' and '-slo' or '-w' or '-la' and '-lo' is required.

-sc, --scale <SCALE>
    Scales of map(s) to download. Default: 50000.

    Formats:

       '####'
       - Just this scale.

       '####,####,####'
       - All scales in the list. May be combined with other formats.

       '>####'
       - All scales above and including the number given.

       '<####'
       - All scales below and including the number given.

       '####-####'
       - All scales from first to last number given.

-a, --area <#>
    Area to cover. # of 'units' size square around the centerpoint. You can use a single number for square area. Or you can use '#x#' to do a rectangle, where the first number is distance latitude and the second number is distance of longitude. 'units' is read from the configuration file (-C) or as defined by (-u).

-p, --polite
    This causes the program to sleep one second between downloads to be polite to the mapserver. Takes an optional value of number of seconds to sleep.

--mapserver <MAPSERVER>
    Mapserver to download from. Default: 'expedia'. Currently usable: landsat, expedia or openstreetmap_tah.

    geoscience, gov_au, incrementp, googlesat, googlemap and eniro have download stubs, but they are !!!NOT!!!! in the right scale.

    geoscience

    landsat covers the whole world with satelite Photos

    openstreetmap_tah: Free maps from the OpenStreetmap Tiles@Home project, see
               http://www.openstreetmap.org and http://tah.openstreetmap.org.

    gov_au is for Australia

    incrementp for japanese Maps

    googlesat: Google Satelite Maps

    expedia

    eniro covers:
     eniro_se Sweden
     eniro_dk Denmark
     eniro_no Norway
     eniro_fi Finnland

    Overview of Area covered by eniro_fi:
     http://maps.eniro.com/servlets/fi_MapImageLocator?profile=Main&center=26.;62.&zoomlevel=1&size=800x600

-u, --unit <UNIT>
    The measurement system to use. Default is read from configuration file <-C>. Possibles are: miles, nautical, kilometers.

--mapdir <DIR>
    Override the configfiles mapdir with this value.

-W, --WAYPOINT <FILE>
    File to read waypoints from. Default: '~/.gpsdrive/way.txt'.

-t, --track <FILE>
    Download maps that are along a saved track. File is a standard track filed saved from GpsDrive.

-r, --route
    Download maps that are along a route defined by waypoints. You must give a list of waypoints as parameters separated with space.

-C, --CONFIG
    File to read for GPSDrive configuration information. Default: '~/.gpsdrive/gpsdriverc'.

-P, --PREFIX <PREFIX>
    Takes a prefix string to be used as the start of all saved map files. Default: "map_".

-F, --FORCE
    Force program to download maps without asking you to confirm the download.

-n  Dont download anything only tell which maps are missing

-U  read map_koord.txt file at Start. Then also check for not downloaded map_*.gif Files if they need to be appended to map_koords.txt.

--check-koordfile
    Update map_koord.txt: search map Tree if map_*.gif file exist, but cannot be found in map_koords.txt file. This option first reads the map_koord.txt file and checks every Map in the filesystem if it also is found in the map_koord.txt file. If not found it is appended into the map_koord.txt file.

    Check map_koord.txt File. This option checks, if every Map also exist If any Map-File is missing, a file map_koord.txt.new will be created. This file can be copied to the original file if checked.

--check-coverage
    See which areas the maps cover. Output is simple ASCII Art

--PROXY
    Set proxy for mirroring image Files

-d, --debug
    Prints debugging information.

-v, --version
    Prints version information and exits.

--help -h -x
    Prints the usage page and exits.

--MAN -M
    Prints the manual page and exits.

Download
    When downloading Maps the output reads as folows:

     _ Map already exists in Filesystem
     E Error while downloading Map
     + Map got downloaded
     C googlestich map from Cache
     c incomplete googlestich map from Cache
     x Downloaded maps for googlestich but incomplete image
     O Not all tiles where found for stitching
     u updated map_koords.txt File
     S Simulate only